App::ClusterSSH::Getopt(3)

NAME
App::ClusterSSH::Getopt - module to process command line args

SYNOPSIS

DESCRIPTION
Object representing application configuration

METHODS

$obj=ClusterSSH::Getopts->new ({ })
    Create a new object.

$obj=ClusterSSH::Getopts->add_option ({ })
    Add extra options into the allowed set for parsing from the command line

$obj=ClusterSSH::Getopts->add_common_options ({ })
    Add common options used by most calling scripts into the allowed set for parsing from the command line

$obj=ClusterSSH::Getopts->add_common_session_options ({ })
    Add common session options used by most calling scripts into the allowed set for parsing from the command line

$obj=ClusterSSH::Getopts->add_common_ssh_options ({ })
    Add common ssh options used by most calling scripts into the allowed set for parsing from the command line

$obj->getopts
    Function to call after all options have been set up; creates methods to call for each option on the object, such as $obj->action, or $obj->username

output(@)
    Simple helper func to print out pod lines with double returns

help
usage
    Functions to output help and usage instructions

AUTHOR
Duncan Ferguson, "<duncan_j_ferguson at yahoo.co.uk>"

LICENSE AND COPYRIGHT
Copyright 1999-2016 Duncan Ferguson.

This program is free software; you can redistribute it and/or modify it under the terms of either: the GNU General Public License as published by the Free Software Foundation; or the Artistic License.

See http://dev.perl.org/licenses/ for more information.